You are not logged in.

#2026 2013-05-12 06:21:34

gianluca.pettinello
Member
Registered: 2013-04-16
Posts: 56

Re: Progress on Unity under Arch Linux!

Hello everybody,

My unity lens files is not working. Applications lens is working. Zeitgeist, as mentioned by Chen is giving errors. itried to cancel activity.sqlite and restart the daemon but no result. Is there somebody having the same problem?

Thanks for your help

Offline

#2027 2013-05-12 06:39:26

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

gianluca.pettinello wrote:

Hello everybody,

My unity lens files is not working. Applications lens is working. Zeitgeist, as mentioned by Chen is giving errors. itried to cancel activity.sqlite and restart the daemon but no result. Is there somebody having the same problem?

Thanks for your help

Yes, I'm having the same problem as well, but I haven't found a way to fix it sad

Maybe I'll try compiling the latest development version from bzr.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2028 2013-05-12 10:11:36

gianluca.pettinello
Member
Registered: 2013-04-16
Posts: 56

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
gianluca.pettinello wrote:

Hello everybody,

My unity lens files is not working. Applications lens is working. Zeitgeist, as mentioned by Chen is giving errors. itried to cancel activity.sqlite and restart the daemon but no result. Is there somebody having the same problem?

Thanks for your help

Yes, I'm having the same problem as well, but I haven't found a way to fix it sad

Maybe I'll try compiling the latest development version from bzr.

Tried yesterday, not working.
Today, on a console I killed and restarted unity-files-daemon. Then I started to write something on dash and I see this error

(process:15256): unity-files-daemon-WARNING **: daemon.vala:504: Error performing global search 'trova': GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.gnome.zeitgeist.Index' on object at path /org/gnome/zeitgeist/index/activity

So as you said it is zeitgeist which is the culprit.

Offline

#2029 2013-05-12 16:05:56

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

gianluca.pettinello wrote:
chenxiaolong wrote:
gianluca.pettinello wrote:

Hello everybody,

My unity lens files is not working. Applications lens is working. Zeitgeist, as mentioned by Chen is giving errors. itried to cancel activity.sqlite and restart the daemon but no result. Is there somebody having the same problem?

Thanks for your help

Yes, I'm having the same problem as well, but I haven't found a way to fix it sad

Maybe I'll try compiling the latest development version from bzr.

Tried yesterday, not working.
Today, on a console I killed and restarted unity-files-daemon. Then I started to write something on dash and I see this error

(process:15256): unity-files-daemon-WARNING **: daemon.vala:504: Error performing global search 'trova': GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.gnome.zeitgeist.Index' on object at path /org/gnome/zeitgeist/index/activity

So as you said it is zeitgeist which is the culprit.

Could you try installing my zeitgeist-compat package in the AUR and then remove ~/.local/share/zeitgeist/ and test again?


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2030 2013-05-12 18:29:37

Slovenijakp
Member
Registered: 2013-05-03
Posts: 13

Re: Progress on Unity under Arch Linux!

nevermind, please delete this post!

Last edited by Slovenijakp (2013-05-12 19:18:55)

Offline

#2031 2013-05-12 19:00:09

gianluca.pettinello
Member
Registered: 2013-04-16
Posts: 56

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
gianluca.pettinello wrote:
chenxiaolong wrote:

Yes, I'm having the same problem as well, but I haven't found a way to fix it sad

Maybe I'll try compiling the latest development version from bzr.

Tried yesterday, not working.
Today, on a console I killed and restarted unity-files-daemon. Then I started to write something on dash and I see this error

(process:15256): unity-files-daemon-WARNING **: daemon.vala:504: Error performing global search 'trova': GDBus.Error:org.freedesktop.DBus.Error.UnknownMethod: No such interface `org.gnome.zeitgeist.Index' on object at path /org/gnome/zeitgeist/index/activity

So as you said it is zeitgeist which is the culprit.

Could you try installing my zeitgeist-compat package in the AUR and then remove ~/.local/share/zeitgeist/ and test again?

It partially works!
You are great!
I don't know if it is zeitgeist or locate but I get resuts.
So zeitgeist 0.9.12 is not compatible with unity as it is. Hope that Canonical will update
Thanks a lot for the time being

Offline

#2032 2013-05-12 19:02:46

Slovenijakp
Member
Registered: 2013-05-03
Posts: 13

Re: Progress on Unity under Arch Linux!

Hello. I have got a problem (it's present after yesterday's pacman -Syu).
When I login into Unity, all I see is a wallpaper. No panel. If I try to login into other DE (LXDE), it works fine.
However, if I use the guest account, Unity works fine.
Here is a log from .xsession-errors

N: [pulseaudio] main.c: User-configured server at {363853530f7f4609874526aa86a02e58}unix:/run/user/1000/pulse/native, which appears to be local. Probing deeper.
compiz (core) - Info: Loading plugin: core
compiz (core) - Info: Starting plugin: core
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:94:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:200:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:234:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:305:22: Not a valid image
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:309:22: Not a valid image
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:326:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:592:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:648:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:1063:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:1707:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:1803:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:1820:21: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:1836:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:1926:11: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets.css:1998:14: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:27:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:106:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:131:4: not a number
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:152:4: not a number
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:171:4: not a number
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:201:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:388:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:743:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:819:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:835:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:851:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:906:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:914:21: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:926:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gtk-widgets-backdrop.css:995:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: gnome-panel.css:92:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: nautilus.css:14:18: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: nautilus.css:14:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: nautilus.css:115:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: nautilus.css:120:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: nautilus.css:145:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: nautilus.css:151:20: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: nautilus.css:157:21: Not using units is deprecated. Assuming 'px'.
gnome-session[16006]: Gtk-WARNING: Theme parsing error: nautilus.css:173:20: Not using units is deprecated. Assuming 'px'.
compiz (core) - Info: Loading plugin: ccp
compiz (core) - Info: Starting plugin: ccp
+ dconf load /com/canonical/unity/
+ dconf dump /desktop/unity/
+ dconf reset -f /desktop/unity/

(gnome-settings-daemon:16054): PackageKit-WARNING **: failed to set proxy: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._pk_5fengine_5ferror.Code3: failed to obtain auth
compiz (core) - Info: Loading plugin: composite
compiz (core) - Info: Starting plugin: composite
compiz (core) - Info: Loading plugin: opengl
compiz (core) - Info: Unity is fully supported by your hardware.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:94:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:200:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:234:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:305:22: Not a valid image

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:309:22: Not a valid image

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:326:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:592:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:648:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1063:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1707:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1803:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1820:21: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1836:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1926:11: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1998:14: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:27:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:106:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:131:4: not a number

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:152:4: not a number

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:171:4: not a number

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:201:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:388:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:743:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:819:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:835:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:851:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:906:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:914:21: Not using units is deprecated. Assuming 'px'.
compiz (core) - Info: Unity is fully supported by your hardware.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:926:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:995:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: gnome-panel.css:92:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: nautilus.css:14:18: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: nautilus.css:14:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: nautilus.css:115:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: nautilus.css:120:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: nautilus.css:145:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: nautilus.css:151:20: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: nautilus.css:157:21: Not using units is deprecated. Assuming 'px'.

(polkit-gnome-authentication-agent-1:16088): Gtk-WARNING **: Theme parsing error: nautilus.css:173:20: Not using units is deprecated. Assuming 'px'.
compiz (core) - Info: Starting plugin: opengl

(gnome-settings-daemon:16054): updates-plugin-WARNING **: failed to set proxies: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._pk_5fengine_5ferror.Code3: failed to obtain auth

(gnome-settings-daemon:16054): color-plugin-WARNING **: failed to create device: failed to obtain org.freedesktop.color-manager.create-device auth

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:94:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:200:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:234:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:305:22: Not a valid image

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:309:22: Not a valid image

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:326:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:592:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:648:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1063:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:94:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:200:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:234:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:305:22: Not a valid image

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:309:22: Not a valid image

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:326:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:592:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:648:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1063:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1707:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1803:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1820:21: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1836:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1926:11: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1998:14: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:27:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:106:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:131:4: not a number

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:152:4: not a number

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:171:4: not a number

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:201:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:388:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:743:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:819:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:835:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:851:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:906:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:914:21: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:926:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:995:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: gnome-panel.css:92:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: nautilus.css:14:18: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: nautilus.css:14:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: nautilus.css:115:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: nautilus.css:120:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: nautilus.css:145:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: nautilus.css:151:20: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: nautilus.css:157:21: Not using units is deprecated. Assuming 'px'.

(nm-applet:16086): Gtk-WARNING **: Theme parsing error: nautilus.css:173:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1707:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1803:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1820:21: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1836:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1926:11: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1998:14: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:27:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:106:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:131:4: not a number

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:152:4: not a number

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:171:4: not a number

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:201:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:388:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:743:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:819:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:835:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:851:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:906:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:914:21: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:926:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:995:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: gnome-panel.css:92:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: nautilus.css:14:18: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: nautilus.css:14:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: nautilus.css:115:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: nautilus.css:120:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: nautilus.css:145:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: nautilus.css:151:20: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: nautilus.css:157:21: Not using units is deprecated. Assuming 'px'.

(gnome-settings-daemon:16054): Gtk-WARNING **: Theme parsing error: nautilus.css:173:20: Not using units is deprecated. Assuming 'px'.

** (nm-applet:16086): WARNING **: Could not initialize NMClient /org/freedesktop/NetworkManager: Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.NetworkManager.service' for details.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:94:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:200:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:234:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:305:22: Not a valid image

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:309:22: Not a valid image

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:326:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:592:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:648:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1063:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1707:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1803:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1820:21: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1836:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1926:11: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1998:14: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:27:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:106:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:131:4: not a number

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:152:4: not a number

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:171:4: not a number

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:201:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:388:20: Not using units is deprecated. Assuming 'px'.

** (nm-applet:16086): WARNING **: Error connecting to ModemManager: Napaka med klicanjem predmeta StartServiceByName za org.freedesktop.ModemManager1: GDBus.Error:org.freedesktop.systemd1.LoadFailed: Unit dbus-org.freedesktop.ModemManager1.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.ModemManager1.service' for details.
** Message: applet now removed from the notification area

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:743:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:819:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:835:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:851:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:906:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:914:21: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:926:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:995:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: gnome-panel.css:92:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: nautilus.css:14:18: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: nautilus.css:14:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: nautilus.css:115:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: nautilus.css:120:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: nautilus.css:145:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: nautilus.css:151:20: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: nautilus.css:157:21: Not using units is deprecated. Assuming 'px'.

(gnome-screensaver:16093): Gtk-WARNING **: Theme parsing error: nautilus.css:173:20: Not using units is deprecated. Assuming 'px'.
compiz (core) - Info: Loading plugin: copytex
compiz (core) - Info: Starting plugin: copytex
compiz (core) - Info: Loading plugin: compiztoolbox
compiz (core) - Info: Starting plugin: compiztoolbox
compiz (core) - Info: Loading plugin: decor
compiz (core) - Info: Starting plugin: decor
compiz (core) - Info: Loading plugin: move
compiz (core) - Info: Starting plugin: move
compiz (core) - Info: Loading plugin: snap
compiz (core) - Info: Starting plugin: snap
compiz (core) - Info: Loading plugin: grid
compiz (core) - Info: Starting plugin: grid

** (nm-applet:16086): WARNING **: fetch_connections_done: error fetching connections: (32) Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.NetworkManager.service' for details..

** (nm-applet:16086): WARNING **: Failed to register as an agent: (32) Unit dbus-org.freedesktop.NetworkManager.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.freedesktop.NetworkManager.service' for details.
compiz (core) - Info: Loading plugin: vpswitch
compiz (core) - Info: Starting plugin: vpswitch
compiz (core) - Info: Loading plugin: resize
compiz (core) - Info: Starting plugin: resize

(gnome-settings-daemon:16054): color-plugin-WARNING **: failed to obtain org.freedesktop.color-manager.create-profile auth
compiz (core) - Info: Loading plugin: place
compiz (core) - Info: Starting plugin: place
compiz (core) - Info: Loading plugin: regex
compiz (core) - Info: Starting plugin: regex
compiz (core) - Info: Loading plugin: animation
compiz (core) - Info: Starting plugin: animation
compiz (core) - Info: Loading plugin: gnomecompat
compiz (core) - Info: Starting plugin: gnomecompat
compiz (core) - Info: Loading plugin: mousepoll
compiz (core) - Info: Starting plugin: mousepoll
compiz (core) - Info: Loading plugin: thumbnail
compiz (core) - Info: Starting plugin: thumbnail
compiz (core) - Error: Plugin 'text' not loaded.

compiz (core) - Info: Loading plugin: expo
compiz (core) - Info: Starting plugin: expo
compiz (core) - Info: Loading plugin: session
compiz (core) - Info: Starting plugin: session
I/O warning : failed to load external entity "/home/slovenijakp/.compiz/session/107bbcd258a008a1a6136839326033577000000160060001"
compiz (core) - Info: Loading plugin: wall
compiz (core) - Info: Starting plugin: wall
compiz (core) - Info: Loading plugin: workarounds
compiz (core) - Info: Starting plugin: workarounds
compiz (core) - Info: Loading plugin: ezoom
compiz (core) - Info: Starting plugin: ezoom
compiz (core) - Info: Loading plugin: fade
compiz (core) - Info: Starting plugin: fade
compiz (core) - Info: Loading plugin: scale
compiz (core) - Info: Starting plugin: scale
** Message: using fallback from indicator to GtkStatusIcon

(gnome-settings-daemon:16054): PackageKit-WARNING **: couldn't parse execption 'GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._pk_5ftransaction_5ferror.Code4: GetDistroUpgrades not supported by backend', please report

(gnome-settings-daemon:16054): updates-plugin-WARNING **: failed to get upgrades: GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._pk_5ftransaction_5ferror.Code4: GetDistroUpgrades not supported by backend

(gnome-settings-daemon:16054): media-keys-plugin-WARNING **: Unable to get default sink

(gnome-settings-daemon:16054): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(gnome-settings-daemon:16054): wacom-plugin-CRITICAL **: gsd_wacom_device_get_device_type: assertion `GSD_IS_WACOM_DEVICE (device)' failed

(nm-applet:16086): Gdk-WARNING **: nm-applet: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.


(polkit-gnome-authentication-agent-1:16088): Gdk-WARNING **: polkit-gnome-authentication-agent-1: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.


(gnome-screensaver:16093): Gdk-WARNING **: gnome-screensaver: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.

gtk-window-decorator: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.

Thanks for help, as always.
smile

Last edited by Slovenijakp (2013-05-12 19:24:36)

Offline

#2033 2013-05-12 21:55:03

oi_wtf
Member
From: /home/wtf
Registered: 2012-03-11
Posts: 190

Re: Progress on Unity under Arch Linux!

The unityshell plugin is not loaded by compiz, try enabling it in ccsm...
or use compiz.reset


Laptop:   Arch Linux (x86_64) and Win8.1 (x86_64);  Intel Core i7-3630QM @ 2.40GHz, 8 GiB RAM, NViDiA GeForce GT 650M 2 GiB
Desktop: Arch Linux (x86_64) and Win8.1 (x86_64);  Intel Core i7-4771  @ 3.50GHz, 8 GiB RAM, NViDiA GeForce GTX 660 Ti 2GiB

Offline

#2034 2013-05-13 11:35:41

Slovenijakp
Member
Registered: 2013-05-03
Posts: 13

Re: Progress on Unity under Arch Linux!

I did compiz.reset and I still get no panel and same error.
EDIT: I resolved it by deleting .compiz, .cache, .local and .config. Glad it works now again smile

Last edited by Slovenijakp (2013-05-13 12:07:09)

Offline

#2035 2013-05-14 23:17:20

bubbathevtog
Member
Registered: 2013-04-12
Posts: 25

Re: Progress on Unity under Arch Linux!

For anybody else who is checking this tread to see if the new gnome package updates break anything-they didn't for me, so good luck

Offline

#2036 2013-05-15 18:41:53

gianluca.pettinello
Member
Registered: 2013-04-16
Posts: 56

Re: Progress on Unity under Arch Linux!

gtk2 2.24.18 and gtk3 3.8.2 are out. I think it is worth updating the packages

Offline

#2037 2013-05-16 04:14:26

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

gianluca.pettinello wrote:

gtk2 2.24.18 and gtk3 3.8.2 are out. I think it is worth updating the packages

Thanks! I updated those two packages and a few more today.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2038 2013-05-16 19:19:07

whzee
Member
Registered: 2011-12-23
Posts: 20

Re: Progress on Unity under Arch Linux!

chenxiaolong wrote:
gianluca.pettinello wrote:

gtk2 2.24.18 and gtk3 3.8.2 are out. I think it is worth updating the packages

Thanks! I updated those two packages and a few more today.

Thanks a shiteload dude. I am currently rocking unity on arch. Arch+Unity=L33T man wink .

I was fed up with gnome shell (old computer) and didn't want to go to xfce/lxde since they use gtk2 (not cool imo). I think your work just saved my machine, yay!. Cant thank you enough for this smile  Keep rockin, bro!

peace!
whyzee.

PS: I don't have the song position scroller on the sound-applet. (IIRC there was one in ubuntu). Can I get that too?

Last edited by whzee (2013-05-16 20:10:58)

Offline

#2039 2013-05-16 21:07:07

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

whzee wrote:

Thanks a shiteload dude. I am currently rocking unity on arch. Arch+Unity=L33T man wink .

I was fed up with gnome shell (old computer) and didn't want to go to xfce/lxde since they use gtk2 (not cool imo). I think your work just saved my machine, yay!. Cant thank you enough for this smile  Keep rockin, bro!

peace!
whyzee.

PS: I don't have the song position scroller on the sound-applet. (IIRC there was one in ubuntu). Can I get that too?

Glad you're enjoying Unity on Arch big_smile

I don't remember the sound indicator having a position bar, but I can check in Ubuntu 13.04 to see if it's there. Which music player do you use?


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2040 2013-05-16 21:30:05

qiuwei
Member
Registered: 2009-12-18
Posts: 245

Re: Progress on Unity under Arch Linux!

something slightly off topic:

Both Unity 8 and Ubuntu’s new display server Mir will be available to try in Ubuntu 13.10.
http://www.phoronix.com/scan.php?page=n … px=MTM3MzY

Offline

#2041 2013-05-16 21:31:55

whzee
Member
Registered: 2011-12-23
Posts: 20

Re: Progress on Unity under Arch Linux!

@chenxialong

tried both rhythmbox and audacious (my fav).
Edit: works perfectly with rhythmbox (when open in the background. When its not just launches rhythmbox)

Also lenses dont seem to work. Photo/Music lens show nothing at all but videos show irrelevant results (recent played videos).
(I dont care much about lenses though, i use audacious to search my music and can use a file manager for other stuff smile )
The Apps lens works perfectly though smile
Edit: Sry didn't read previous posts

Anyways bro, really think you have done a commendable job, bringing unity to arch single handedly. I think they should include it in the repos (once it gets fully functional, of course)

thnx and wishes
whyzee

Update: for me zeitgeist-compat does nothing. Only Apps and Music lenses work as before sad

Last edited by whzee (2013-05-17 00:58:10)

Offline

#2042 2013-05-17 12:20:31

whzee
Member
Registered: 2011-12-23
Posts: 20

Re: Progress on Unity under Arch Linux!

hey I think there's also someone else working on unity too - György Balló' (@bgyorgy). Maybe you guys could work together to make unity perfect on Arch (just a suggestion)

his repo: http://pkgbuild.com/~bgyorgy/ayatana.html

But the packages there seem to be a bit outdated.

Last edited by whzee (2013-05-17 12:30:23)

Offline

#2043 2013-05-18 02:49:33

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

whzee wrote:

@chenxialong

tried both rhythmbox and audacious (my fav).
Edit: works perfectly with rhythmbox (when open in the background. When its not just launches rhythmbox)

Also lenses dont seem to work. Photo/Music lens show nothing at all but videos show irrelevant results (recent played videos).
(I dont care much about lenses though, i use audacious to search my music and can use a file manager for other stuff smile )
The Apps lens works perfectly though smile
Edit: Sry didn't read previous posts

Anyways bro, really think you have done a commendable job, bringing unity to arch single handedly. I think they should include it in the repos (once it gets fully functional, of course)

thnx and wishes
whyzee

Update: for me zeitgeist-compat does nothing. Only Apps and Music lenses work as before sad

Thanks for the compliments, I really appreciate it! I'll take a look at the audacious source code in Ubuntu to see if they changed anything to make it work.

For the lenses, could you try removing ~/.local/share/zeitgeist/ and testing again?


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2044 2013-05-18 03:03:37

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

whzee wrote:

hey I think there's also someone else working on unity too - György Balló' (@bgyorgy). Maybe you guys could work together to make unity perfect on Arch (just a suggestion)

his repo: http://pkgbuild.com/~bgyorgy/ayatana.html

But the packages there seem to be a bit outdated.

Many, many forums pages ago, we tried to merge, but unfortunately, that caused a mess of problems. György's Unity packages are meat to be in the repos eventually (hopefully). As such, he's making the packages work with unpatched GNOME packages. This causes some of Unity's features to not work, but it has the best chance of ever being included in the official repositories. With my packages, I try my best to bring all of Unity's features to Arch. This is why you see a bunch of -ubuntu packages smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2045 2013-05-18 03:15:54

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

Mir is now working on Arch!

So far, only the tech demos are packaged. I'm working on getting the Ubuntu Touch UI packaged and running (like in the recent demo video with the Macbook Pro).

Packaging here: https://github.com/chenxiaolong/UnityNext-for-Arch
Automatically built repo: Coming soon...
Source code: Ubuntu is *very* good at hiding their source code. Here's how to find it:

Look at https://launchpad.net/~mir-team/+archiv … /+packages

For packages uploaded by ps-jenkins, find the bzr branch here: http://bazaar.launchpad.net/~cupstream2 … acks/head/, and run "bzr branch lp:blah".

For packages uploaded by "no signer", click the arrow on the left, download the tar.gz file, open debian/bzr-builder.manifest, and run "bzr branch lp:blah" on the branch listed there.

All other packages are not automatically built, so just click the arrow on the left and download the tarball.

Mesa source code is available here https://github.com/RAOF/mesa/tree/mir-ppa (thanks to Martin Mrazik!)

Instructions/Usage: http://unity.ubuntu.com/mir/using_mir_on_pc.html (Note: Do not try to use Mir as the system compositor yet unless you know exactly how to fix your system!)

Enjoy! (if you dare...)

EDIT: Shhhhhhhh....................another 52 packages to package: https://launchpad.net/~phablet-team/+ar … ter=raring

Last edited by chenxiaolong (2013-05-18 03:56:11)


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2046 2013-05-18 09:41:01

whzee
Member
Registered: 2011-12-23
Posts: 20

Re: Progress on Unity under Arch Linux!

Tried deleting ~/.local/share/zeitgeist, but still no avail.

Good to hear that Mir is available for Arch. But, my software skills only extend upto installing packages with PKGBUILD, unfortunately. Maybe, I will try it when its compiled by someone like you tongue . Till then I will try to make unity, as it is, perfect for my desktop.

cheers.

Offline

#2047 2013-05-19 12:24:20

bobzxr
Member
From: Hungary
Registered: 2013-05-19
Posts: 7

Re: Progress on Unity under Arch Linux!

Hello

I am currently using Gnome, but I really miss Unity's dock. Is it possible to add only that?
If so, which packages do I have to install and how to configure them?


You may corrupt the souls of men, but I am steel. I am doom. I march for Macragge, and I know no fear!

Offline

#2048 2013-05-20 02:09:36

darkjack
Member
Registered: 2013-05-20
Posts: 3

Re: Progress on Unity under Arch Linux!

To start I would just like to say thank you. I've tried arch a bunch of times in the past, but I've not wanted to move away from ubuntu partially because of the font configuration and partially because of unity. This project has enabled me to switch and be incredibly happy with my computer (at least so far), so, thank you.
I just have a few problems left with my set up:
1: The theming of the gnome-control-panel sub sections is totally wonky. There are black boarders around all of the relevant boxes and the un-focused tabs are also black. Picture: http://i.imgur.com/NJduxka.png
Other gtk themes have the same problem. (Radiance, Ambiance, Adwaita)

gnome-control-center 3.8.2

2: The calendar doesn't pop up when scrolling over the date indicator.

Offline

#2049 2013-05-20 04:36:12

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

whzee wrote:

Tried deleting ~/.local/share/zeitgeist, but still no avail.

Good to hear that Mir is available for Arch. But, my software skills only extend upto installing packages with PKGBUILD, unfortunately. Maybe, I will try it when its compiled by someone like you tongue . Till then I will try to make unity, as it is, perfect for my desktop.

cheers.

I wouldn't recommend Mir at all until Ubuntu starts using it tongue

I'm not sure what I can do to fix lenses (I don't know if they ever worked for me), but hopefully I'll find a fix for Audacious soon smile


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

#2050 2013-05-20 04:37:29

chenxiaolong
Member
From: /home/chenxiaolong
Registered: 2010-11-03
Posts: 779

Re: Progress on Unity under Arch Linux!

bobzxr wrote:

Hello

I am currently using Gnome, but I really miss Unity's dock. Is it possible to add only that?
If so, which packages do I have to install and how to configure them?

Unfortunately, after Ubuntu dropped Unity 2D, it's no longer possible. You can not use any part of Unity while running GNOME Shell.


Current system: Lenovo W520
Unity-for-Arch repos' build statuses and old packages: https://jenkins.noobdev.io/

Offline

Board footer

Powered by FluxBB